Subject: Re: bug#26158: Gnome starts unreliably

From: Joshua Branson <[email-masked]>
Date: Wed, 22 Mar 2017 22:01:25 +0000

So I’ve gotten responses for this on the help-guix mailing list and in the guix-bugs list.  I’ll try to just respond to the bug mailing list so the conversation is in one place.

I did login as root, run guix system vm /etc/gnome-xfce.scm;   A vm popped up.  I could not login as joshua, but I could also not login as root either.   When I tried to login as joshua, after I typed in my password, it prompted me for a user name.  So I can’t login as joshua in the vm.  Outside the vm, when I try logging in as joshua I see Logging in, I see lots of text, and then I’m back at the login screen.   In the vm, I tried logging in a root, and it tries to log me in, but inevitably I end up at the login screen again.   Outside the vm, when I try logging in as root, it works fine.

I tried looking for the x-session errors file and couldn’t find anything.

cat /home/joshua/.xsession-errors;

No file.

cat /root/.xsession-errors;

No file. 

cat / .xsession-errors;

no file.

Also it looks like Parabola X errors are listed in ~/.local/share/xorg/, because X is rootless in Parabola.   Does X start as root in guixSD?

If so,

pwd;  -> /var/log

grep -e Log -e tty Xorg.0.log ->  March 22  16:22:29    (today about an hour ago)

grep EE Xorg.0.log

43.680  (EE) NOUVEAU (0):  [COPY] failed to allocate class.

grep WW Xorg.0.log

(WW)  Open ACPI failed (/var/run/aspid.socket)  (No such file or directory)
(WW)  Falling back to old probe method for mode setting
(WW)  Falling back to old probe method for fbdev
(WW) Falling back to old probe method vesa

I feel like if someone tries to make a vm of my scheme file, they’re going to be able to log in just fine….Wait I didn’t set my normal user password in the vm….  So I probably could login to the vm, because my normal user password was not set right?  BUT I can’t get a tty in a vm?  I tried, and I was in outside the vm in a normal tty.

IDK.  

Joshua

P.S.  Most of the time when I login to gnome my mouse cannot move left to right.  It’s probably a different issue, but I felt I should probably mention it.